package com.sky.mapper;

import com.sky.pojo.entity.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

@Mapper
public interface UserMapper {
    /**
     * 根据openid查询用户
     *
     * @param openid
     * @return
     */
    @Select("select * from user where openid = #{openid}")
    User getByOpenid(String openid);

    /**
     * 插入数据
     *
     * @param user
     */
    void insert(User user);

    /**
     * 统计数量
     *
     * @param map map
     * @return Integer
     */
    Integer countByMap(Map map);

    /**
     * 当前登录用户id
     *
     * @param userId 当前用户id
     * @return 用户信息
     */
    User getById(Long userId);
}
